Arbor 3: FSM & BT Graph Editor 3.1.2

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | Protected Member Functions | Properties | List of all members
TreeNodeBehaviour Class Reference

TreeBehaviourNodeの挙動を定義する基本クラス。 More...

Inheritance diagram for TreeNodeBehaviour:

## Public Attributes
bool | expanded = true
| ArborEditorWindow上での開閉状態。 More...

## Protected Member Functions
sealed override void | OnInitializeEnabled ()
| enabledの初期化を行うために呼ばれる。 More...
virtual void | OnAwake ()
| この関数は自ノードが初めてアクティブになったときに呼ばれる。 More...
virtual void | OnStart ()
| この関数は自ノードがアクティブになったときに呼ばれる。 More...
virtual void | OnAbort ()
| この関数は自ノードが中止されるときに呼ばれる。 More...
virtual void | OnEnd ()
| この関数は自ノードが終了したときに呼ばれる。 More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnValidate ()
| MonoBehaviour.OnValidate を参照してください More...
virtual void | OnCreated ()
| 生成時に呼ばれるメソッド. More...
virtual void | OnPreDestroy ()
| 破棄前に呼ばれるメソッド。 More...
virtual void | OnGraphPause ()
| この関数はグラフが一時停止したときに呼ばれる。 More...
virtual void | OnGraphResume ()
| この関数はグラフが再開したときに呼ばれる。 More...
virtual void | OnGraphStop ()
| この関数はグラフが停止したときに呼ばれる。 More...

## Properties
BehaviourTreeInternal | behaviourTree`[get]`
| ビヘイビアツリーを取得。 More...
TreeNodeBase | treeNode`[get]`
| TreeNodeBaseを取得。 More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...
Node | node`[get]`
| Nodeを取得。 More...
int | calculatorSlotFieldCount`[get]`
| CalculatorSlotFieldの個数 More...

## Additional Inherited Members
Public Member Functions inherited from NodeBehaviour
CalculatorSlotField | GetCalculatorSlotField (int index)
| CalculatorSlotFieldを取得する。 More...
CalculatorSlotField | GetCalculatorSlotField (CalculatorSlot slot)
| CalculatorSlotFieldを取得する。 More...
void | RebuildCalculatorSlotFields ()
| CalculatorSlotFieldを再構築する。 More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| Editor用。 More...
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| Editor用。 More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| Editor用。 More...
static void | Destroy (NodeBehaviour behaviour)
| NodeBehaviourを破棄する。 More...

## Detailed Description

TreeBehaviourNodeの挙動を定義する基本クラス。

## Member Function Documentation

virtual void OnAbort | ( |  | ) |
| protected virtual

この関数は自ノードが中止されるときに呼ばれる。

virtual void OnAwake | ( |  | ) |
| protected virtual

この関数は自ノードが初めてアクティブになったときに呼ばれる。

virtual void OnEnd | ( |  | ) |
| protected virtual

この関数は自ノードが終了したときに呼ばれる。

sealed override void OnInitializeEnabled | ( |  | ) |
| protected virtual

enabledの初期化を行うために呼ばれる。

Reimplemented from NodeBehaviour.

virtual void OnStart | ( |  | ) |
| protected virtual

この関数は自ノードがアクティブになったときに呼ばれる。

## Member Data Documentation

bool expanded = true

ArborEditorWindow上での開閉状態。

## Property Documentation

BehaviourTreeInternal behaviourTree
| get

ビヘイビアツリーを取得。

TreeNodeBase treeNode
| get

TreeNodeBaseを取得。